org.apache.olingo.client.api.domain

## Interface ClientComplexValue

- All Superinterfaces:
    ClientAnnotatable, ClientLinked, ClientValue, Iterable<ClientProperty>

      public interface ClientComplexValue
      extends ClientValue, ClientLinked, ClientAnnotatable, Iterable<ClientProperty>

  OData complex property value.

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `ClientComplexValue` | `add(ClientProperty field)` Adds field to the complex type.
    `Map<String,Object>` | `asJavaMap()` Converts this instance as POJO collection.
    `ClientProperty` | `get(String name)` Gets field.
    `int` | `size()` Gets number of fields.

    - ### Methods inherited from interface org.apache.olingo.client.api.domain.ClientValue

      `asCollection, asComplex, asEnum, asPrimitive, getTypeName, isCollection, isComplex, isEnum, isPrimitive`

    - ### Methods inherited from interface org.apache.olingo.client.api.domain.ClientLinked

      `addLink, getAssociationLink, getAssociationLinks, getNavigationLink, getNavigationLinks, removeLink`

    - ### Methods inherited from interface org.apache.olingo.client.api.domain.ClientAnnotatable

      `getAnnotations`

    - ### Methods inherited from interface java.lang.Iterable

      `forEach, iterator, spliterator`

- - ### Method Detail

    - #### add

          ClientComplexValue add(ClientProperty field)

      Adds field to the complex type.
      Parameters:
        `field` - field to be added.
      Returns:
        this (for fluent-style calls)

    - #### get

          ClientProperty get(String name)

      Gets field.
      Parameters:
        `name` - name of the field to be retrieved.
      Returns:
        requested field.

    - #### size

          int size()

      Gets number of fields.
      Returns:
        number of fields.

    - #### asJavaMap

          Map<String,Object> asJavaMap()

      Converts this instance as POJO collection.
      Returns:
        this instance as POJO collection

Copyright © 2013–2022 The Apache Software Foundation. All rights reserved.